Subject: [dhcwg] Minor issue in draft-ietf-dhc-dhcpv6-privacy-02

From: "Bernie Volz (volz)" <[email-masked]>
Date: Tue, 12 Jan 2016 13:15:20 +0000

Hi:

In my review for the shepherd write-up, I noticed the following in 4.1 Temporary addresses:

   However, in section 18.1.3 it explicitly mentions that temporary
   addresses can be renewed.  Client implementations may mistakenly
   renew temporary addresses if they are not careful (i.e., by including
   the IA_TA with the same IAID in Renew or Rebind requests, rather than
   a new IAID - see [RFC3315] Section 22.5), thus forfeiting short

Per RFC 3315 section 22.5:

   An IA_TA option does not include values for T1 and T2.  A client MAY
   request that the lifetimes on temporary addresses be extended by
   including the addresses in a IA_TA option sent in a Renew or Rebind
   message to a server.  For example, a client would request an
   extension on the lifetime of a temporary address to allow an
   application to continue to use an established TCP connection.
...
   A server MUST return the same set of temporary address for the same
   IA_TA (as identified by the IAID) as long as those addresses are
   still valid.  After the lifetimes of the addresses in an IA_TA have
   expired, the IAID may be reused to identify a new IA_TA with new
   temporary addresses.

This text says to EXTEND lifetimes, a client MUST include the addresses (IAADDR options). Just sending an IA_TA itself causes the server to return the existing address(es) if still valid (or new ones if not), but does NOT result in extending the lifetimes. (I agree that this subtle distinction could be lost on many [server] implementations.)

The text in 18.1.3 does indicate that to Renew, one includes the IAADDR option(s). So, it may be that the text in the draft is technically OK.

I think thought that the draft text:

                              Client implementations may mistakenly
   renew temporary addresses if they are not careful (i.e., by including
   the IA_TA with the same IAID in Renew or Rebind requests, rather than
   a new IAID - see [RFC3315] Section 22.5),

Is what is technically wrong as it isn't just including the IA_TA with the same IAID, but also by including the addresses. My suggestion is: Drop "i.e., by including the IA_TA with the same IAID in Renew or Rebind requests, rather than a new IAID -". This way you just refer people to Section 22.5 for how to do this.

Not sure this is worth a respin. It may be better for me to point out this issue and send the document to the AD for now as the AD review may turn up a few other issues? We can respin before sending off to IESG itself?

-          Bernie